Perl 6 - the future is here, just unevenly distributed

IRC log for #puppet-openstack, 2016-08-02

| Channels | #puppet-openstack index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
00:14 citizen482 joined #puppet-openstack
00:16 jesusaur joined #puppet-openstack
00:18 citizen482 left #puppet-openstack
00:27 xarses joined #puppet-openstack
00:30 fxpester joined #puppet-openstack
00:50 jesusaur joined #puppet-openstack
01:00 jesusaur joined #puppet-openstack
01:19 chem joined #puppet-openstack
01:28 iurygregory_ joined #puppet-openstack
01:39 dhollinger joined #puppet-openstack
01:48 ilbot3 joined #puppet-openstack
01:48 Topic for #puppet-openstack is now CI status: green - Puppet OpenStack modules http://docs.openstack.org/deve​loper/puppet-openstack-guide/
01:53 chem joined #puppet-openstack
02:12 johnmilton joined #puppet-openstack
02:13 openstackgerrit Keith Schincke proposed openstack/puppet-openstack-integration: WIP - Introduce scenario004  https://review.openstack.org/339106
02:25 markvoelker joined #puppet-openstack
02:30 markvoelker_ joined #puppet-openstack
03:09 openstackgerrit Emilien Macchi proposed openstack/puppet-cinder: Configure keystone authtoken options  https://review.openstack.org/342905
03:14 openstackgerrit Emilien Macchi proposed openstack/puppet-tempest: neutron: add granularity for aas services  https://review.openstack.org/349765
03:16 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: tempest: only deploy neutron fwaas and lbaas  https://review.openstack.org/349766
03:17 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: Promote RDO repository to latest consistent URL  https://review.openstack.org/349155
03:34 openstackgerrit Iury Gregory Melo Ferreira proposed openstack/puppet-nova: Move nova to authtoken  https://review.openstack.org/337389
03:55 ducttape_ joined #puppet-openstack
04:15 yottatsa joined #puppet-openstack
04:35 crinkle joined #puppet-openstack
05:10 markvoelker joined #puppet-openstack
05:11 ducttape_ joined #puppet-openstack
05:11 yottatsa joined #puppet-openstack
05:14 yottatsa_ joined #puppet-openstack
05:19 jaosorior joined #puppet-openstack
05:52 maestropandy joined #puppet-openstack
05:57 openstackgerrit guessi proposed openstack/puppet-nova: Update virsh secret if rbd_keyring or libvirt_rbd_secret_uuid change  https://review.openstack.org/232369
06:06 openstackgerrit Juan Antonio Osorio Robles proposed openstack/puppet-tripleo: Remove unnecessary certmonger manifest  https://review.openstack.org/349812
06:06 markvoelker joined #puppet-openstack
06:11 openstackgerrit OpenStack Proposal Bot proposed openstack/puppet-openstack-integration: Promote RDO repository to latest consistent URL  https://review.openstack.org/349155
06:12 ducttape_ joined #puppet-openstack
06:34 fvollero joined #puppet-openstack
06:43 tesseract- joined #puppet-openstack
07:02 markvoelker joined #puppet-openstack
07:11 fxpester joined #puppet-openstack
07:13 ducttape_ joined #puppet-openstack
07:16 openstackgerrit Carlos Camacho proposed openstack/puppet-tripleo: Fix mistral profile steps  https://review.openstack.org/343346
07:29 shardy joined #puppet-openstack
07:43 aarefiev joined #puppet-openstack
07:58 markvoelker joined #puppet-openstack
08:04 dgurtner joined #puppet-openstack
08:09 hecliunyx joined #puppet-openstack
08:12 jaosorior joined #puppet-openstack
08:15 vinsh joined #puppet-openstack
08:17 jaosorior_ joined #puppet-openstack
08:18 v1k0d3n joined #puppet-openstack
08:18 kgalanov joined #puppet-openstack
08:18 chem joined #puppet-openstack
08:20 karthiks joined #puppet-openstack
08:22 mfisch joined #puppet-openstack
08:22 mfisch joined #puppet-openstack
08:29 danpawlik joined #puppet-openstack
08:38 ntpttr joined #puppet-openstack
08:50 openstackgerrit Karthik S proposed openstack/puppet-neutron: Configure the max_vfs for SRIOV interfaces  https://review.openstack.org/344918
08:53 gfidente joined #puppet-openstack
08:53 gfidente joined #puppet-openstack
08:54 markvoelker joined #puppet-openstack
08:59 skolekonov joined #puppet-openstack
09:06 yottatsa joined #puppet-openstack
09:14 gchamoul joined #puppet-openstack
09:15 ducttape_ joined #puppet-openstack
09:24 openstackgerrit Carlos Camacho proposed openstack/puppet-glance: Add missing db class to configure glance-manage.conf  https://review.openstack.org/349463
09:28 aderyugin joined #puppet-openstack
09:33 paramite joined #puppet-openstack
09:49 markvoelker joined #puppet-openstack
10:08 richm joined #puppet-openstack
10:22 cgfbee joined #puppet-openstack
10:39 ntpttr- joined #puppet-openstack
10:45 markvoelker joined #puppet-openstack
10:47 johnmilton joined #puppet-openstack
10:52 fxpester joined #puppet-openstack
11:16 ducttape_ joined #puppet-openstack
11:37 openstackgerrit Denis Egorenko proposed openstack/puppet-glance: Move Glance to new authtoken scheme  https://review.openstack.org/348826
11:39 markvoelker joined #puppet-openstack
11:43 markvoelker_ joined #puppet-openstack
11:48 EmilienM hello
11:49 degorenko hi
11:55 dprince joined #puppet-openstack
12:02 fultonj joined #puppet-openstack
12:03 iurygregory morning people
12:08 ducttape_ joined #puppet-openstack
12:12 openstackgerrit Emilien Macchi proposed openstack/puppet-tempest: neutron: add granularity for aas services  https://review.openstack.org/349765
12:15 skramaja EmilienM: gate-puppet-vswitch-puppet-unit-3.8-centos-7 is not able to pull the kmod changes where as other gates are able to pull - https://review.openstack.org/#/c/347464/
12:15 skramaja is there any issue on CI?
12:16 EmilienM what says logs?
12:16 skramaja 2016-08-01 16:59:42.840422 |      Puppet::Error:
12:16 skramaja 2016-08-01 16:59:42.840513 |        Puppet::Parser::AST::Resource failed with error ArgumentError: Invalid resource type kmod::load at /home/jenkins/workspace/gate-puppet-vswi​tch-puppet-unit-3.8-centos-7/spec/fixtur​es/modules/vswitch/manifests/dpdk.pp:38 on node centos-7-rax-dfw-3069726
12:16 skramaja 2016-08-01 16:59:42.840556 |      Shared Example Group: "vswitch dpdk" called from ./spec/classes/vswitch_dpdk_spec.rb:104
12:16 skramaja EmilienM: the new module is not loaded
12:20 fxpester|2 joined #puppet-openstack
12:25 johnmilton joined #puppet-openstack
12:29 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: Promote RDO repository to latest consistent URL  https://review.openstack.org/349155
12:50 iurygregory richm, you around?
12:53 maestropandy left #puppet-openstack
12:57 EmilienM degorenko: I think scenario002 is broken
12:57 EmilienM there is a regression in Zaqar
12:57 degorenko looks like yeah
12:58 morazi joined #puppet-openstack
12:58 EmilienM I reported it on zaqar channel
13:00 skramaja EmilienM: looks like the error is " Invalid resource type kmod::load" but it happens only for 3.8 .. other gates are able to load this new module successfully..
13:00 EmilienM degorenko: maybe in tempest, https://github.com/openstack/tempest/commi​t/11d8cd0fbc0aafc4fc410887f8f3e55c799e2a35
13:00 EmilienM I'm investigating
13:01 EmilienM it will be fixed by https://review.openstack.org/#/c/349809/
13:01 EmilienM :)
13:01 EmilienM skramaja: I'll look after my current task
13:02 degorenko EmilienM, good to hear that :)
13:02 EmilienM degorenko: FYI https://review.rdoproject.org/r/#/c/1775/ is merged
13:02 EmilienM so we'll be able to start murano testing soon
13:02 degorenko \o/
13:03 degorenko good news
13:11 mkoderer_cloud joined #puppet-openstack
13:11 iurygregory joined #puppet-openstack
13:11 ericksonsantos joined #puppet-openstack
13:12 ducttape_ joined #puppet-openstack
13:21 bklei joined #puppet-openstack
13:33 morazi joined #puppet-openstack
13:34 dgurtner joined #puppet-openstack
13:34 dgurtner joined #puppet-openstack
13:40 richm iurygregory: yes
13:43 cdelatte joined #puppet-openstack
13:49 fultonj joined #puppet-openstack
13:53 iurygregory richm, maybe the problem http://logs.openstack.org/89/337389/23/chec​k/gate-puppet-openstack-integration-3-scena​rio001-tempest-centos-7/b454803/logs/keysto​ne/keystone.txt.gz#_2016-08-02_03_56_15_928 is related to nova be using v2 in https://github.com/openstack/puppet-nova/se​arch?utf8=%E2%9C%93&q=Puppet%3A%3AProvi​der%3A%3AOpenstack%3A%3ACredentialsV2_0.new ?
13:54 fultonj joined #puppet-openstack
13:56 ducttape_ joined #puppet-openstack
13:56 fultonj joined #puppet-openstack
13:56 fultonj joined #puppet-openstack
13:56 richm iurygregory: maybe, but afaik keystone should be able to handle both v2 and v3 authentication - you use the v2 endpoint with v2 tokens, and use the v3 endpoint with v3 tokens
13:58 ebalduf joined #puppet-openstack
13:58 iurygregory yeah i know .-.
13:58 iurygregory I'm out of ideas of how to solve the problem .-. damm it
14:00 gfidente guys, anybody interested in ceph willing to review https://review.openstack.org/#/c/347860/ and https://review.openstack.org/#/c/232369/ ?
14:00 richm iurygregory: we need help from someone with more recent keystone experience who can figure out how to enable logging of the url and token contents
14:01 iurygregory haha yeah XD
14:01 gfidente those are meant to ensure we refresh the keyrings when the cephx keys or key caps are updated
14:02 markvoelker joined #puppet-openstack
14:02 richm iurygregory: For starters, we need to know 1) what is the URL of the request that is causing the error 2) what is the contents of the value that is causing the ValueError 3) what is the IP address or hostname of the peer
14:04 richm iurygregory: looks like keystone is already running with DEBUG so I'm not sure how to get that information
14:04 richm iurygregory: in addition - the stack trace appears truncated - if this is coming from keystone I would expect to see a much larger stack trace with many more frames
14:05 iurygregory richm, ack i'll try to look
14:15 dfisher joined #puppet-openstack
14:19 vinsh joined #puppet-openstack
14:19 openstackgerrit craig delatte proposed openstack/puppet-cinder: Cinder hooks support  https://review.openstack.org/344464
14:36 EmilienM degorenko: when you ready https://review.openstack.org/342905
14:39 degorenko EmilienM, boom
14:39 EmilienM cool
14:39 degorenko EmilienM, can you take a look: https://review.openstack.org/348826 ?
14:39 EmilienM sure
14:39 degorenko may be i missed something
14:39 xarses joined #puppet-openstack
14:39 EmilienM ok It's big, i'll look today
14:40 degorenko EmilienM, yeah :( 3 services here
14:40 degorenko iurygregory, can you take a look too? :) ^^^
14:40 iurygregory degorenko, ack
14:40 mwhahaha just an fyi, i'm on pto starting tomorrow for a week. so on the off chance anyone cares, i won't be around :D
14:40 EmilienM mwhahaha: you lucky
14:41 iurygregory degorenko, EmilienM we should revert ec2api, designate and zaqar or just patch again?
14:41 mwhahaha just patch again
14:41 degorenko mwhahaha, if you will be on pto, who is going to +2 me on fuel now? :(
14:41 degorenko :D
14:41 EmilienM yeah patch again
14:41 iurygregory ack ;)
14:41 mwhahaha degorenko: no one else evidently :D
14:41 iurygregory anyone can help me with nova? D:
14:41 mwhahaha soo many open patches
14:42 EmilienM we should take PTO all in same time
14:42 EmilienM my next PTO are November, 2 weeks :P
14:50 colonwq my next PTO is tomorrow. :)
14:53 dfisher what's PTO?
14:53 dfisher :(
14:53 mwhahaha that thing we so rarely take :(
14:53 jmiu joined #puppet-openstack
14:53 * dfisher sad high-five
14:53 iurygregory degorenko, it's not possible to have glance::keystone::authtoken and define the 3 resources inside ?
14:54 mwhahaha you could but is there ever a case where you'd want to configure the 3 services differently?
14:55 iurygregory mwhahaha, make sense =)
14:55 iurygregory but i don't know if anyone have this use case XD
14:57 mwhahaha yea me neither. i think it might be better to do all three at once then you're less likely to have accidentally misconfigured services
14:57 EmilienM there is no item for today's agenda https://etherpad.openstack.org/p/pupp​et-openstack-weekly-meeting-20160802
14:57 EmilienM feel free to add some or I'll cancel the meeting and let people working
14:58 * iurygregory waits before send the meeting patch
14:59 iurygregory mwhahaha, yeah the user can make more errors while need to set 3 classes instead of one..
14:59 iurygregory degorenko, EmilienM what you guys think?
15:04 * iurygregory lunch time in 2 hours i'm back
15:05 EmilienM degorenko: reviewed
15:05 richm joined #puppet-openstack
15:05 EmilienM iurygregory: you can cancel it
15:06 mfisch EmilienM: will you or other puppeteers be at the operators meetup?
15:06 EmilienM mfisch: I won't be
15:06 degorenko iurygregory, in case of using one class, we need to manage all deprecated parameters and services in one class. Is it good?
15:06 EmilienM mfisch: and I don't know for others
15:07 EmilienM mfisch: in BNC?
15:07 EmilienM err, BCN
15:07 mfisch NYC
15:07 EmilienM nope
15:07 mfisch last week of Aug
15:07 mfisch I won't be in Barcelona, nobody from our team is going
15:08 EmilienM when i read this thing it's always the same topics
15:08 EmilienM "Config management - puppet, chef"
15:08 EmilienM blabla
15:08 mfisch like arguing with a spouse
15:08 EmilienM "How to lay this out? What do we want exactly?"
15:08 mfisch except in NYC and with more alcohol
15:09 mfisch whether or not anything productive comes out of the sessions is another question
15:09 bkero and probably less regrets
15:09 mfisch bkero: lol
15:09 EmilienM mfisch: I dropped a comment in the etherpad
15:10 EmilienM and I can't go in NYC for sure, I'll burn somewhere in US on a secrete beach
15:10 mfisch we can get you anywhere, is there oil near you possibly?
15:10 EmilienM lol
15:10 mfisch we can help democracy there if there is oil
15:11 mfisch where is your comment?
15:12 EmilienM mfisch: L46
15:13 mfisch yep
15:13 mfisch good answer
15:14 mfisch followup
15:14 mfisch L47
15:16 EmilienM mwhahaha: https://review.openstack.org/#/c/346494/
15:17 EmilienM mwhahaha: the first time I see that
15:17 EmilienM mfisch: good
15:18 moravec joined #puppet-openstack
15:20 ebalduf joined #puppet-openstack
15:34 karthiks EmilienM,  for review  https://review.openstack.org/#/c/330544,  can I keep the deprecation message like
15:34 karthiks # [*sriov_agent_required*]
15:34 karthiks #   (optional) Deprecated. Its enabled when mechanism_drivers has sriovnicswitch
15:34 karthiks #   Defaults to undef.
15:34 karthiks #
15:36 EmilienM mwhahaha, degorenko: our CI is blocked by zaqar, i'm going to disable it, promote and re-enable it eventually
15:37 EmilienM karthiks: did you see my comment?
15:38 EmilienM just copy paste
15:38 karthiks Yes .... Thanks
15:39 openstackgerrit Karthik S proposed openstack/puppet-neutron: Cleanup for sriov-agent sriov-agent-required  https://review.openstack.org/330544
15:40 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: scenario002: disable zaqar  https://review.openstack.org/350118
15:41 openstackgerrit Emilien Macchi proposed openstack/puppet-tempest: neutron: add granularity for aas services  https://review.openstack.org/349765
15:42 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: tempest: only deploy neutron fwaas and lbaas  https://review.openstack.org/349766
15:42 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: Promote RDO repository to latest consistent URL  https://review.openstack.org/349155
15:43 iurygregory degorenko, well i think is better than 3 new class .-.
15:43 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: Promote RDO repository to latest consistent URL  https://review.openstack.org/349155
15:44 iurygregory EmilienM, what do think about the idea in glance to just have one class and configure the 3 services?
15:44 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: Revert "scenario002: disable zaqar"  https://review.openstack.org/350119
15:51 bklei_ joined #puppet-openstack
15:54 jaosorior joined #puppet-openstack
16:06 colonwq EmilienM, I have 347956 working with Keystone V3. I have 339106 working upto the glance integration part. Both need a little polishing.
16:20 openstackgerrit Iury Gregory Melo Ferreira proposed openstack/puppet-barbican: Move barbican to authtoken  https://review.openstack.org/347105
16:27 iurygregory mwhahaha, you will have time to patch designate again?
16:27 kragniz joined #puppet-openstack
16:28 openstackgerrit Pradeep Kilambi proposed openstack/puppet-tripleo: Implement aodh profiles  https://review.openstack.org/332854
16:29 rski joined #puppet-openstack
16:41 mwhahaha iurygregory: yea i can
16:43 EmilienM iurygregory: yeah maybe for glance
16:43 iurygregory mwhahaha, ack
16:43 iurygregory EmilienM, ok o/
16:46 _ody I think p-o-i or really anything that uses r10k on EL is going to break.
16:46 _ody https://github.com/grosser/​fast_gettext/commits/master
16:47 * EmilienM lunch
16:52 bklei joined #puppet-openstack
17:31 openstackgerrit Cody Herriges proposed openstack/puppet-openstack-integration: scenario002: enable Barbican and Volume Encryption testing  https://review.openstack.org/339806
17:33 EmilienM _ody: why?
17:36 maestropandy joined #puppet-openstack
17:38 _ody It was premature, I've gotten confused trying to track down a parameter issue.
17:43 maestropandy left #puppet-openstack
17:44 _ody EmilienM: Feeling just a bit crazy.  In the change here, https://review.openstack.org/#​/c/339806/46/manifests/cinder.pp the cinder::api class is declared with parameters I don't see available in the dependent cinder change, https://review.openstack.org​/#/c/342905/17/manifests/api.pp.
17:47 EmilienM _ody: right, I was about to update it, the puppet-cinder patch was WIP
17:48 _ody ok.  I trying to track down this change's puppet 4 issue you pinged me about the other day.  I'll hold off then.
17:50 openstackgerrit Emilien Macchi proposed openstack/puppet-openstack-integration: scenario002: enable Barbican and Volume Encryption testing  https://review.openstack.org/339806
17:51 iurygregory CI is crazy? O.o
17:51 EmilienM iurygregory: why?
17:52 iurygregory http://zuul.openstack.org/ 347105
17:52 iurygregory i've run everything locally O.o
17:52 bkero iurygregory: I think he's talking about https://s-media-cache-ak0.pinimg.com/236x/54​/5c/d9/545cd91d77536585081d03d606b54fc4.jpg
17:53 iurygregory bkero, lol
17:54 iurygregory EmilienM, i hope is just could not find repo or something
17:58 EmilienM _ody: you are right, something breaks
17:59 EmilienM _ody: dmsimard found something in RDO CI
17:59 _ody EmilienM: you mean r10k?
17:59 dmsimard _ody: yeah we started seeing failures to install r10k today in our CI
17:59 EmilienM _ody: yes
17:59 dmsimard http://paste.openstack.org/show/545707/
17:59 dmsimard We did not have this error yesterday
17:59 _ody Temporarily we can do a "gem install fast_gettext -v 1.1.0" before install r10k.
18:00 crinkle joined #puppet-openstack
18:00 _ody I'll dig into ticket trackers.
18:00 dmsimard _ody: I'll try and reproduce upstream with and without fast_gettext
18:00 EmilienM I haven't seen it in our CI yet
18:00 openstackgerrit Merged openstack/puppet-openstack-guide: Move #89 to August 9  https://review.openstack.org/350083
18:02 dmsimard EmilienM: maybe the version of ruby is more up to date or something ?
18:02 bkero or deep deps changed
18:02 bkero (changed constraints)
18:03 _ody Either infra updates ruby on EL images or gems are now mirrored and mirror isn't updated yet.
18:03 EmilienM dmsimard: you running centos7, right?
18:03 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack-integration: Test r10k installation without fast_gettext  https://review.openstack.org/350189
18:03 dmsimard EmilienM: yeah
18:03 _ody dmsimard: installing fast_gettext is how I am testing locally today.  I use the vanilla upstream CentOS 7 cloud images.
18:03 dmsimard ruby-2.0.0.598-25.el7_1.x86_64
18:04 bkero _ody: I don't believe the ruby mirror is in use yet
18:05 dmsimard upstream p-o-i has ruby-2.0.0.598-25.el7_1.x86_64 as well
18:05 dmsimard EmilienM: the issue just appeared today, like in the past couple hours
18:05 dmsimard EmilienM: I guess we will see with https://review.openstack.org/#/c/350189/
18:06 mwhahaha uh that's commented out
18:06 mwhahaha so it's not going to work
18:07 iurygregory you are not going to install XD
18:07 dmsimard mwhahaha, iurygregory: that's on purpose
18:07 dmsimard I want to see if it reproduces
18:08 iurygregory dmsimard, oh
18:08 dmsimard then I'll uncomment with a new patchset
18:08 _ody It seems that infra EL 7 does use ruby 2.0.0.
18:09 _ody Ok.  I think I see what is happening.
18:09 mwhahaha well it reproduced, http://logs.openstack.org/89/350189/1/​check/gate-puppet-openstack-integratio​n-puppet-syntax-3-centos-7/959157b/con​sole.html#_2016-08-02_18_05_47_844133
18:09 mwhahaha sooo remove the #? :D
18:09 _ody ah. nvm.  you found one.
18:09 dmsimard mwhahaha: cool, removing :D
18:09 dmsimard let me file a bug for this.. hang on
18:10 _ody In test where we don't us bundler I don't see the failure because it looks like fast_gettext is already part of the image so r10k is not updating it.
18:10 mwhahaha i want to punch the entire ruby gem community in the head whenever they go from no ruby requirement for a gem to something above the currently provided via main distros
18:11 _ody http://logs.openstack.org/67/329767/1/ch​eck/gate-puppet-openstack-integration-3-​scenario003-tempest-centos-7/8e9d3db/con​sole.html.gz#_2016-06-15_05_57_30_391
18:11 dmsimard _ody: that's not the same review though
18:11 bkero _ody: so distro package already installed?
18:12 dmsimard _ody: also that's from june :P
18:12 _ody dmsimard: I know.  I had already picked a random different one to look at.
18:12 _ody dmsimard: I was just illustrating that in the list of gems installed it doesn't list fast_gettext.
18:12 mwhahaha gettext-setup requires it
18:12 mwhahaha which puppet_forge requires
18:12 mwhahaha so that's where it comes from
18:13 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack-integration: Pre-install fast_gettext before r10k  https://review.openstack.org/350189
18:13 dmsimard uncommented ^
18:13 bkero mwhahaha: shouldn't contraint managing just use an older version of fast_gettext that is compatible with ruby 2.0.0 though?
18:14 mwhahaha it doesn't take the ruby version into consideration
18:14 mwhahaha never does
18:14 bkero That's naive :/
18:14 mwhahaha that's ruby
18:14 * mwhahaha gets stabby
18:15 dmsimard I hate ruby as well :( I feel pain whenever I have to do ruby.
18:15 mwhahaha well it's not just ruby, it's developers
18:15 bkero can a conditional be put in a gemspec for that?
18:15 mwhahaha oh it comes from a gemspec, it's just taken into consideration during the dependency calculations
18:15 mwhahaha https://github.com/grosser/fast_gettex​t/blob/master/fast_gettext.gemspec#L11
18:16 bkero https://github.com/grosser/fast_gettext/comm​it/ccb620fde33bf900a4490564a49a5696ce81158b
18:16 dmsimard _ody: it doesn't look like my installation of fast-gettext is working http://logs.openstack.org/89/350189/1/​check/gate-puppet-openstack-integratio​n-puppet-syntax-3-centos-7/959157b/con​sole.html#_2016-08-02_18_07_24_526037
18:17 bkero "modernize."
18:17 bkero nice commit message
18:17 mwhahaha imho ruby version requirement changes on gems should be a full version bump because it always ends up breaking something somewhere
18:17 _ody I think dmsimard fix is only going to affect scenarios, Don't we needs to update it somewhere else for things that use bundler?
18:17 mwhahaha it's just an r10k requirement, so we need to trackdown that gemfile somewhere
18:18 _ody Probably here, https://github.com/openstack/puppet-​openstack_spec_helper/blob/master/pu​ppet-openstack_spec_helper.gemspec.
18:18 dmsimard _ody: hm, nevermind my last statement, that's from the first run
18:18 _ody dmsimard: Still, I think my statement stands.  We need to update spec_helper's gemspec.
18:18 bkero dmsimard: I think that might need to be ran beforehand, and bundler is sourcing in gettext too
18:19 _ody depends on the job, p-o-i vs. syntax and rspec jobs.
18:19 mwhahaha it needs to get fixed in that gemspec
18:19 dmsimard _ody: gemspec probably needs to be fixed because that's what the beaker jobs uses, no ?
18:19 mwhahaha and unit tests
18:19 dmsimard right
18:19 bkero spec.add_dependency 'fast-gettext', ['~> 1.1.0'] or some such
18:20 bkero 1.1.0 is the latest tag that doesn't include the commit that requires ruby 2.1.0 (per https://github.com/grosser/​fast_gettext/commits/master )
18:20 _ody dmsimard: Yep. Beaker, unit, and syntax.
18:21 dmsimard ok I'll retry with 1.1.0 instead
18:21 dmsimard wait no that's what I'm already trying
18:21 bkero need it in the gemspec
18:21 _ody dmsimard: It's the right fix for one problem but we have another.
18:21 _ody I'll grab it.
18:21 bkero 'bundle install' is happening before gem install r10k
18:22 dmsimard bkero: yeah you're right
18:22 dmsimard _ody: you're taking care of the right fix ?
18:22 _ody dmsimard: They are both correct fixes.
18:22 _ody Yes.  I am getting the second one.
18:23 dmsimard bkero: huh, do you know where the bundle install happens ?
18:23 bkero dmsimard: http://logs.openstack.org/89/350189/1/​check/gate-puppet-openstack-integratio​n-puppet-syntax-3-centos-7/959157b/con​sole.html#_2016-08-02_18_05_07_734171
18:23 dmsimard bkero: I meant technically
18:23 bkero ah
18:23 dmsimard bkero: but I found it in the meantime
18:24 dmsimard it's in the jobs themselves, not in run_tests.sh or what have you
18:24 bkero Yeah, it's part of the job builder
18:24 dmsimard i.e, https://github.com/openstack-infra/project-con​fig/blob/35ddbb318d25bd918caf0ef6d0ad8a70186fd​8f6/jenkins/jobs/puppet-module-jobs.yaml#L38
18:25 mwhahaha but it's pulling the requirements from the spec helper gemspec
18:25 bkero So once we have to start putting fixes into other repos around this problem
18:25 mwhahaha so just update that
18:25 bkero I wonder where the proper place for a fix to this is
18:25 dmsimard _ody: so I confirm that the gem install in p-o-i fixes the issue
18:25 _ody cool.
18:26 _ody Submitting the other now.
18:26 dmsimard _ody: the integration jobs are running right now. Would a depends-on work to resolve the syntax job failures ?
18:26 _ody Yeah.
18:26 openstackgerrit Cody Herriges proposed openstack/puppet-openstack_spec_helper: Lock fast_gettext to something that isn't 1.2.0.  https://review.openstack.org/350217
18:27 dmsimard _ody: ok, will try that. Can you also link https://bugs.launchpad.net/puppet-​openstack-integration/+bug/1609081 ?
18:27 openstack Launchpad bug 1609081 in puppet-openstack-integration "r10k installation fails with fast_gettext requires Ruby version >= 2.1.0" [Undecided,New]
18:27 _ody sure
18:27 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack-integration: Pre-install fast_gettext before r10k  https://review.openstack.org/350189
18:28 dmsimard added Depends-On.
18:28 openstackgerrit Cody Herriges proposed openstack/puppet-openstack_spec_helper: Lock fast_gettext to something that isn't 1.2.0.  https://review.openstack.org/350217
18:29 bkero i think a combination of those two would fix it
18:30 bkero whee 'This change depends on a change that failed to merge.'
18:31 johnmilton joined #puppet-openstack
18:31 dmsimard huh
18:31 dmsimard _ody: is your commit rebased ?
18:31 bkero I'm trying to look at zuul for ody's commit
18:32 bkero looks like they're running
18:33 bkero 2016-08-02 18:33:15.348711 | Installing fast_gettext 1.1.0
18:33 * dmsimard shrugs
18:33 bkero \o/
18:34 _ody Good enough for me.  Going to head off to lunch with wife.  Be back in about 1.5 ish.
18:35 * bkero waves
18:35 guimaluf joined #puppet-openstack
18:36 dmsimard I guess I will wait for the spechelper merge and remove the dependson
18:42 dmsimard looks like there's an installation elsewhere too http://logs.openstack.org/17/350217/2/c​heck/gate-puppet-openstack-libraries-pu​ppet-beaker-rspec-centos-7/7bc18c3/cons​ole.html#_2016-08-02_18_40_14_915159
18:43 dmsimard doh, it uses install_modules from p-o-i
18:43 dmsimard fuck how are we going to merge this
18:43 dmsimard both depend on each other
18:43 dmsimard EmilienM: yo
18:44 * mwhahaha facepalms
18:44 bkero hahaha
18:44 dmsimard EmilienM: the bug affects spec helper and p-o-i, spec helper uses p-o-i's install_modules and p-o-i runs syntax jobs which requires the fix from spechelper
18:44 EmilienM I know
18:44 EmilienM I wrote that
18:44 dmsimard EmilienM: should we temporarily make the jobs non-voting or something
18:44 EmilienM lol
18:45 EmilienM no need of non voting
18:45 dmsimard Depends-On on both ends doesn't work, does it ?
18:45 EmilienM just exit 0 in the run_*.sh
18:45 dmsimard ugh
18:45 dmsimard that's ugly
18:45 bkero dirtydirty
18:45 bkero but hey
18:45 dmsimard but okay
18:47 EmilienM wait a sec
18:47 EmilienM betr
18:47 EmilienM better
18:47 EmilienM you can run gem install fast_gettext -v 1.1.0 in functions
18:47 EmilienM in spec_helper
18:47 EmilienM and you'll remove it later
18:48 dmsimard EmilienM: hm, maybe
18:48 johnmilton joined #puppet-openstack
18:48 EmilienM yeah do that
18:49 EmilienM we can survive with it
18:51 dmsimard EmilienM: I'm not sure functions is in the code path for this particular error, wouldn't it be in the beaker spec helper right before the install_modules.sh from p-o-i gets called %?
18:52 dmsimard here: https://github.com/openstack/puppet-opensta​ck_spec_helper/blob/master/lib/puppet-opens​tack_spec_helper/beaker_spec_helper.rb#L56
18:56 EmilienM dmsimard: no
18:56 EmilienM so
18:57 EmilienM 1) patch functions to make the tests working and 2) patch puppet-openstack_spec_helper.gemspec with the pin
18:57 EmilienM once we land this patch, patch p-o-i with your change
18:57 EmilienM and then 3), we'll remove the workaround in functions of spec_helper
18:57 EmilienM so we keep testing things
18:58 maestropandy1 joined #puppet-openstack
18:58 maestropandy1 left #puppet-openstack
18:58 EmilienM don't we do bundle install? a sec
18:58 dmsimard EmilienM: I'm failing to understand what you mean, sorry ... the r10k install in http://logs.openstack.org/17/350217/2/c​heck/gate-puppet-openstack-libraries-pu​ppet-beaker-rspec-centos-7/7bc18c3/cons​ole.html#_2016-08-02_18_40_14_915159 works (the one from "functions"
18:59 dmsimard EmilienM: it's the one on the beaker machine that doesn't
18:59 dmsimard EmilienM: because the beaker machine uses install_modules.sh from p-o-i which isn't patched
18:59 EmilienM ah https://github.com/openstack-infra/​project-config/blob/master/jenkins/​jobs/puppet-module-jobs.yaml#L221
18:59 EmilienM we don't run bundle install
19:00 EmilienM hmm, this thing is weird
19:00 dmsimard EmilienM: you see this works: http://logs.openstack.org/17/350217/2/c​heck/gate-puppet-openstack-libraries-pu​ppet-beaker-rspec-centos-7/7bc18c3/cons​ole.html#_2016-08-02_18_39_46_312074 (since the gemspec update)
19:00 EmilienM is our CI broken because of that right now?
19:00 dmsimard EmilienM: yeah, everything is broken
19:00 dfisher i can't get any of my patches to pass CI :(
19:00 EmilienM dmsimard: did we file a bug?
19:00 dmsimard EmilienM: https://bugs.launchpad.net/puppet-​openstack-integration/+bug/1609081
19:00 openstack Launchpad bug 1609081 in puppet-openstack-spec-helper "r10k installation fails with fast_gettext requires Ruby version >= 2.1.0" [Undecided,New] - Assigned to Cody Herriges (ody-cat)
19:01 EmilienM on github I mean
19:01 dmsimard EmilienM: _ody mentioned he was going to check around I believe
19:01 EmilienM dmsimard: ok, if you want jobs disabled, just exit 0 in the bash scripts in spec_helper
19:02 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack_spec_helper: Lock fast_gettext to something that isn't 1.2.0.  https://review.openstack.org/350217
19:02 dmsimard EmilienM: ^ should work
19:03 EmilienM I'm not sure
19:03 dmsimard I am, because doing exactly that in p-o-i fixed it
19:03 EmilienM you need GEM_HOME when installing a gem, no?
19:04 dmsimard ah..
19:04 * dmsimard sighs
19:04 dmsimard ok, this will be ugly
19:05 _ody I was looking into Puppet trackers, not GitHub. Had to meet wife for lunch. Will be back in about an hour
19:07 openstackgerrit Merged openstack/puppet-tripleo: New composable service: FluentD  https://review.openstack.org/343546
19:12 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack_spec_helper: Lock fast_gettext to something that isn't 1.2.0.  https://review.openstack.org/350217
19:13 EmilienM dmsimard: so smart
19:13 dmsimard I screwed up though
19:13 dmsimard need to escape quotes
19:13 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack_spec_helper: Lock fast_gettext to something that isn't 1.2.0.  https://review.openstack.org/350217
19:14 dmsimard this will /probably/ work but I'm not proud
19:14 EmilienM dmsimard: please add the lp bug https://review.openstack.org/#/c/35​0217/5/puppet-openstack_spec_helper.gemspec
19:14 EmilienM so we can track it
19:14 EmilienM _ody: can you report the issue on github when you're back? I even don't know what to report
19:15 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack_spec_helper: Lock fast_gettext to something that isn't 1.2.0.  https://review.openstack.org/350217
19:15 _ody Yep.
19:15 EmilienM thx
19:19 maestropandy joined #puppet-openstack
19:19 maestropandy left #puppet-openstack
19:29 dmsimard need to escape more characters, bleh
19:32 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack_spec_helper: Lock fast_gettext to something that isn't 1.2.0.  https://review.openstack.org/350217
19:32 dmsimard every time I need to double backslash I die a little inside
19:33 colonwq leaning toothpicks.
19:33 maestropandy1 joined #puppet-openstack
19:33 maestropandy1 left #puppet-openstack
19:33 dfisher oh yeech.  inline sed.
19:34 dmsimard dfisher: does solaris have sed ? jk. jk.
19:34 dfisher nope.  sure doesn't.
19:35 dmsimard really, now ?
19:35 dfisher of course it has sed...
19:35 dfisher two different incompatible ones!
19:35 * dfisher sobs
19:35 dmsimard you almost scared me
19:35 dmsimard kinda like tar vs gnu tar ?
19:35 dfisher exactly like that.
19:35 bkero BSD sed?
19:36 dfisher dunno.  whichever is the "shitty one".
19:36 mwhahaha bsd sed
19:36 mwhahaha :D
19:36 * dfisher sighs
19:36 bkero /cry
19:36 dfisher /cry
19:36 * mwhahaha cries onto his osx bsd sed
19:36 dfisher i want sed -i for inline replace
19:36 dmsimard oh what is that http://stackoverflow.com/questions/35763​80/sed-i-what-the-same-option-in-solaris
19:36 dfisher i don't get sed -i
19:36 bkero mwhahaha: how old is that sed?
19:36 degorenko joined #puppet-openstack
19:36 dfisher yes, see?  that.
19:37 dmsimard sed '$ s/OLD/NEW/g' test > test.tmp && mv test.tmp test
19:37 dmsimard jesus
19:37 * dfisher sobs
19:37 dfisher i promise, the bug has been filed against it.
19:37 bkero and sat there for a decade?
19:37 mwhahaha i have no idea what version of sed comes on OSX but the man page is from 2005
19:37 colonwq dmsimard, have you though about awk? '{ if( $0 contains gem install) {print "gem install fast_gettest"} print $0}'
19:37 dfisher i'm looking sec :)
19:37 bkero D:
19:38 iberezovskiy joined #puppet-openstack
19:38 dmsimard colonwq: I'm not super knowledgeable with awk, but that hack is going away as soon as we land another patch in another repo
19:38 dmsimard colonwq: I have great respect for people that are good with awk :)
19:39 colonwq dmsimard, Ah ok. I am ok with awk. It helps make quick reports and stuff.
19:39 dhollinger joined #puppet-openstack
19:40 dmsimard I love using awk instead of grep sometimes and using different delimitors, there's a lot of overlap in my awk usage versus grep/cut .. I think it depends on my mood
19:41 openstackgerrit Keith Schincke proposed openstack/puppet-ceph: Update Jewel Ceph RGW to support Keystone V3  https://review.openstack.org/347956
19:41 EmilienM dmsimard: you'll need to squash poi with https://review.openstack.org/#/c/350118/
19:41 EmilienM really broken CI
19:42 maestropandy joined #puppet-openstack
19:42 bkero awk feels really weird when you override IFS
19:42 dfisher bkero: the specific bug for -i support in solaris sed was filed on july 26th, 2011
19:42 dfisher so not THAT old but ffs.
19:42 dmsimard bkero: bah, awk -F, '{print $1}' vs cut -f1 -d , ..
19:42 bkero right
19:43 bkero IFS=, echo $2 ;)
19:43 dmsimard EmilienM: ok
19:43 fxpester|2 joined #puppet-openstack
19:43 EmilienM dmsimard: thank you for helping on this thing
19:47 maestropandy left #puppet-openstack
19:47 dmsimard EmilienM: it's hard to get that sed working within beaker
19:47 dmsimard EmilienM: did you have another idea
19:51 bkero dmsimard: could you prepend it to the entire file?
19:51 dmsimard bkero: it needs to be done after the stuff like GEM_HOME has been set and stuff
19:51 dmsimard https://github.com/openstack/puppet-openstac​k-integration/blob/master/install_modules.sh
19:51 dmsimard the sed I did adds it right before the gem install r10k
19:52 bkero right
19:53 dmsimard I mean, instead of doing that, I *could* checkout the p-o-i review
19:53 dmsimard which would be even dirtier
19:53 dmsimard I just can't put a depends-on in zuul proper because it won't merge the spec_helper review
19:55 bkero sed 's/^gem install r10k/gem install fast_gettext -v 1.1.0\rgem install r10k' ?
19:55 bkero that's arguably cleaner, but still bad :/
19:56 bkero less double backslashes though
19:56 _ducttape_ joined #puppet-openstack
19:56 mwhahaha when all else fails, bring up sed so people can argue about regexs for the next 6 hours
19:56 dmsimard :D
19:57 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack-integration: Pre-install fast_gettext before r10k  https://review.openstack.org/350189
19:58 colonwq The great regex wars. I am glad the editor wars are over. Vi was the obvious winner.
19:58 bkero Mx-Mc-insult
19:59 colonwq :)
19:59 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack-integration: Pre-install fast_gettext before r10k, disable Zaqar  https://review.openstack.org/350189
20:00 jesusaur joined #puppet-openstack
20:00 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack-integration: Pre-install fast_gettext before r10k, disable Zaqar  https://review.openstack.org/350189
20:02 openstackgerrit David Moreau Simard proposed openstack/puppet-openstack_spec_helper: Lock fast_gettext to something that isn't 1.2.0.  https://review.openstack.org/350217
20:02 dmsimard I am not proud of this ^
20:03 mwhahaha ha, sounds about right
20:03 EmilienM wow
20:04 mwhahaha just about every time CI breaks it ends up being an adventure in awfulness for the workaround
20:04 EmilienM 319 jobs in check pipeline
20:04 EmilienM mwhahaha: lol yeah
20:05 dmsimard well inter-dependent changes like that really sucks
20:05 dmsimard it's in those times it's useful to be able to +5 a review
20:06 dmsimard not many people can do that upstream, though, I believe
20:06 mwhahaha well we should probably get it so our job configurations/scripts all come from a single repo
20:06 mwhahaha this one could probably be avoided if we moved the gem install from out of the project config and leveraged a single script in the spec helper repo
20:07 mwhahaha thou shall only use a single method for installation!
20:07 dmsimard it's unclear to me because I'm not super familiar with it
20:07 dmsimard but sometimes things are installed directly by the job, other times by install_modules, other times by a bundle install
20:09 ducttape_ joined #puppet-openstack
20:16 * dmsimard maniacal laughter
20:16 dmsimard the git checkout hack works
20:17 EmilienM I've +2 https://review.openstack.org/#/c/350217/
20:26 Ahharu joined #puppet-openstack
20:26 Ahharu hello
20:26 ducttape_ joined #puppet-openstack
20:27 Ahharu any ideas on this error? 2016-08-02 15:44:11.583034 | An error occurred while installing fast_gettext (1.2.0), and Bundler cannot
20:27 Ahharu it is affecting lots of openstack projects
20:27 openstackgerrit Alex Schultz proposed openstack/puppet-designate: Update keystone authtoken configuration pattern  https://review.openstack.org/350255
20:27 EmilienM yes we are working on it
20:27 Ahharu updating my gemfile to force the version would work?
20:28 Ahharu or not since its installed by packae rubygems?
20:29 mwhahaha we're working on pinning it for the puppet openstack modules, https://review.openstack.org/#/c/350217/
20:29 openstackgerrit craig delatte proposed openstack/puppet-cinder: Cinder hooks support  https://review.openstack.org/344464
20:33 _ody dmsimard: Both changes look good.  From reading your node on puppet-openstack_spec_helper though I suspect that shouldn't be merged through until p-o-i fix is?
20:34 dmsimard _ody: the spec_helper patch pulls the p-o-i review
20:34 dmsimard it's a dirty hack to work around the depends-on from zuul which requires the parent patch to merge for a child patch to merge
20:34 dmsimard because the p-o-i patch needs the spec_helper patch and back and forth
20:35 openstackgerrit_ joined #puppet-openstack
20:36 dmsimard once both are merged we need to remove the git checkout from spec_helper asap
20:37 _ody oh right.  It has to be ther to merge because zuul will run the pipeline again.
20:37 _ody ok.  I'll just wait on tests to finish then.
20:43 _ody dmsimard, EmilienM: the r10k issue is already fixed upstream. https://github.com/puppetlabs/gettext-setup-gem/​commit/6a6a305053f42bbb3cf835454d5d4ca9f2e28c58
20:43 dmsimard well yay, we can abandon everything then
20:43 dgurtner joined #puppet-openstack
20:43 mwhahaha ha the commit message
20:43 iurygregory \o/
20:45 dmsimard abandon ship, abandon ship
20:45 dmsimard _ody: I can't abandon your change
20:46 _ody dmsimard: Ok.
20:47 dmsimard EmilienM: I did a recheck on the disable zaqar patch.
20:48 EmilienM _ody: is it released?
20:48 bklei joined #puppet-openstack
20:48 _ody EmilienM: gettext-setup is.  Double checking if released r10k deplosy the right hting.
20:49 mwhahaha https://rubygems.org/gems/​gettext-setup/versions/0.5 yea it is
20:49 _ody Yep.
20:49 _ody I think we are good.
20:49 _ody It installed properly here.
20:49 EmilienM ok
20:49 EmilienM dmsimard: sorry
20:50 EmilienM I'm doing recheck on https://review.openstack.org/#/c/350118/
20:50 EmilienM to bring our CI back
20:50 dmsimard EmilienM: oops I did a recheck on the wrong patch https://review.openstack.org/#/c/350119/1
20:51 EmilienM dmsimard: it's ok
21:00 openstackgerrit Emilien Macchi proposed openstack/puppet-gnocchi: TripleO Overcloud CI test - do not merge  https://review.openstack.org/350265
21:06 jmiu joined #puppet-openstack
21:07 jmiu_ joined #puppet-openstack
21:15 bklei_ joined #puppet-openstack
21:25 bklei joined #puppet-openstack
21:36 bklei joined #puppet-openstack
21:38 EmilienM mwhahaha: I need to go now /me back later - can you look https://review.openstack.org/#/c/349765/ when you have time? It will help to promote our CI, thanks
21:45 openstackgerrit Bradley Klein proposed openstack/puppet-monasca: Add two additional projections for new api queries  https://review.openstack.org/350280
21:51 openstackgerrit Merged openstack/puppet-ceph: Refresh keys if caps are changed  https://review.openstack.org/347860
22:38 guimaluf joined #puppet-openstack
22:44 _ducttape_ joined #puppet-openstack
22:45 guimaluf joined #puppet-openstack
22:48 delattec joined #puppet-openstack
23:01 gfidente joined #puppet-openstack
23:45 guessi joined #puppet-openstack
23:48 openstackgerrit Sam Morrison proposed openstack/puppet-neutron: Add support for rabbit_transient_queues_ttl oslo_messaging config option  https://review.openstack.org/349312
23:55 bklei joined #puppet-openstack
23:55 dprince joined #puppet-openstack

| Channels | #puppet-openstack index | Today | | Search | Google Search | Plain-Text | summary